var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { Alert, AlertActionCloseButton } from '@patternfly/react-core';
export const ChatbotAlert = (_a) => {
    var { variant = 'info', title, children = '', onClose } = _a, props = __rest(_a, ["variant", "title", "children", "onClose"]);
    return (_jsx("div", { className: "pf-chatbot__alert", children: _jsx(Alert, Object.assign({ variant: variant, isInline: true, title: title, component: "h6" }, (onClose && {
            actionClose: _jsx(AlertActionCloseButton, { onClose: onClose })
        }), props, { children: children })) }));
};
export default ChatbotAlert;
